Tropical Cyclone

1. Tropical Warnings API

이 API는 전 세계의 활성 열대 저기압에 대한 데이터를 제공합니다.

태풍의 이름, 위치, 과거 추적 및 예측에 대한 정보를 확인할 수 있습니다.

해당 정보는 NHC(National Hurricane Center), CPHC(Central Pacific Hurricane Center) 및 JTWC(Joint Typhoon Warning Center)의 데이터를 기반으로 합니다.

TRY OUT THIS ENDPOINT →

1.1 Request Parameter

GET v1/cyclone
ParameterDescriptionType
N/A



1.2 API Response

{
    "meta": {
        "code": 200,
        "cycloneCount": 2
    },
    "cyclones": [{
            "cycloneName": "Super Ball",
            "cycloneForecast": [{
                    "utcTime": "2021-12-28T03:00:00Z",
                    "lat": "32.1",
                    "long": "-23.2",
                    "cycloneCategory": "I",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T06:00:00Z",
                    "lat": "31.3",
                    "long": "-22.2",
                    "cycloneCategory": "W",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T09:00:00Z",
                    "lat": "31.5",
                    "long": "-23.5",
                    "cycloneCategory": "S",
                    "airPressure": 923.3,
                    "windSpeed": 33.2
                }
            ],
            "cycloneTrack": [{
                    "utcTime": "2021-12-28T03:00:00Z",
                    "lat": "32.1",
                    "long": "-23.2",
                    "cycloneCategory": "I",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T06:00:00Z",
                    "lat": "31.3",
                    "long": "-22.2",
                    "cycloneCategory": "W",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T09:00:00Z",
                    "lat": "31.5",
                    "long": "-23.5",
                    "cycloneCategory": "S",
                    "airPressure": 923.3,
                    "windSpeed": 33.2
                }
            ],
            "errorCone": null
        },
        {
            "cycloneName": "Mammi",
            "cycloneForecast": [{
                    "utcTime": "2021-12-28T03:00:00Z",
                    "lat": "32.1",
                    "long": "-23.2",
                    "cycloneCategory": "I",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T06:00:00Z",
                    "lat": "31.3",
                    "long": "-22.2",
                    "cycloneCategory": "W",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T09:00:00Z",
                    "lat": "31.5",
                    "long": "-23.5",
                    "cycloneCategory": "S",
                    "airPressure": 923.3,
                    "windSpeed": 33.2
                }
            ],
            "cycloneTrack": [{
                    "utcTime": "2021-12-28T03:00:00Z",
                    "lat": "32.1",
                    "long": "-23.2",
                    "cycloneCategory": "I",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T06:00:00Z",
                    "lat": "31.3",
                    "long": "-22.2",
                    "cycloneCategory": "W",
                    "airPressure": 943.3,
                    "windSpeed": 23.2
                },
                {
                    "utcTime": "2021-12-28T09:00:00Z",
                    "lat": "31.5",
                    "long": "-23.5",
                    "cycloneCategory": "S",
                    "airPressure": 923.3,
                    "windSpeed": 33.2
                }
            ],
            "errorCone": [[32.1, 123.4],[33.2, 124.4], [34.2, 125.43], [35.2, 127.76],[38.2, 131.54]]
        }
    ]
}
FieldDescriptionUnit
meta > codeResponse codeinteger
meta > cycloneCountNumber of cyclones at the requested timeinteger
cyclones > cycloneNamecyclone namestring
cyclones >cycloneForecast.utcTimeISO 8601 date of the date/time of the advisory for this data set, as issued by the NHC or JTWC.string
cyclones > cycloneForecast.latThe latitude of the latest reported position of the cyclonefloat
cyclones > cycloneForecast.longThe longitude of the latest reported position of the cyclone ( ISO 6709, decimal point)float
cyclones > cycloneForecast.cycloneCategory

The maximum strength category the storm achieved, based on wind speed

I = Invest
W = Tropical wave
L = Low pressure
D = Tropical Depression
S = Tropical Storm
T = Typhoon

string
cyclones > cycloneForecast.airPressureThe minimum pressure reported in the advisory in millibars. NULL if not availablefloat
cyclones > cycloneForecast.windSpeedThe maximum sustained wind speed reported in the advisory in knotsfloat
cyclones > cycloneTrack.utcTimeISO 8601 date of the date/time of the advisory for this data set, as issued by the NHC or JTWC.string
cyclones > cycloneTrack.latThe latitude of the latest reported position of the cyclone.(float) ISO 6709 (decimal point)
cyclones > cycloneTrack.longThe longitude of the latest reported position of the cyclone(float) ISO 6709 (decimal point)
cyclones > cycloneTrack.cycloneCategory

The maximum strength category the storm achieved, based on wind speed

I = Invest
W = Tropical wave
L = Low pressure
D = Tropical Depression
S = Tropical Storm
T = Typhoon

string
cyclones > cycloneTrack.airPressureThe minimum pressure reported in the advisory in millibars. NULL if not availablefloat
cyclones > cycloneTrack.windSpeedThe maximum sustained wind speed reported in the advisory in knotsfloat
cyclones > errorConeGeoJSON polygon object of the forecast error cone. NULL if the storm is not active, the forecast information is unavailable or if the geo filter not provided.array object